GET
https://api.applivery.io/v1/users/profile
curl -X GET "https://api.applivery.io/v1/users/profile" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/users/profile", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/users/profile",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
id
string
optional
email
string
optional
firstName
string
optional
lastName
string
optional
fullName
string
optional
picture
string
optional
role
string
optional
platformRoles
array [object]
optional
id
string
optional
name
string
optional
description
string
optional
platformActions
array [string]
optional
supplant
object
optional
createdAt
string
optional
updatedAt
string
optional
newsletter
boolean
optional
hasPassword
boolean
optional
has2FAActive
boolean
optional
ssoUser
boolean
optional
organizationId
string
optional
organizations
array [object]
optional
id
string
optional
name
string
optional
slug
string
optional
picture
string
optional
organizationInfo
object
optional
id
string
optional
name
string
optional
slug
string
optional
picture
string
optional
createdBy
string
optional
branding
object
optional
store
object
optional
configuration
object
optional
language
string
optional
verificationStatus
string
optional
activityTrace
object
optional
lastLogin
object
optional
lastAction
object
optional
intercomUserHash
string
optional
createdAt
string
optional
updatedAt
string
optional
supplantCapability
string
optional
{
"status": true,
"data": {
"id": "507f1f77bcf86cd799439023",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"picture": "https://example.com/images/profile-picture.jpg",
"role": "user",
"platformRoles": [
{
"id": "string",
"name": "string",
"description": "string",
"platformActions": [
"string"
],
"supplant": {
"capability": "none"
},
"createdAt": "2024-01-01T00: 00:00Z",
"updatedAt": "2024-01-01T00: 00:00Z"
}
],
"newsletter": true,
"hasPassword": true,
"has2FAActive": false,
"ssoUser": false,
"organizationId": "507f1f77bcf86cd799439024",
"organizations": [
{
"id": "507f1f77bcf86cd799439025",
"name": "Enterprise Corporation",
"slug": "enterprise-corp",
"picture": "https://cdn.applivery.com/orgs/507f1f77bcf86cd799439025/logo.png"
}
],
"organizationInfo": {
"id": "507f1f77bcf86cd799439026",
"name": "Acme Industries",
"slug": "acme-industries",
"picture": "https://cdn.applivery.com/orgs/507f1f77bcf86cd799439026/logo.png",
"createdBy": "507f1f77bcf86cd799439027",
"branding": {
"primaryColor": "#0066CC",
"logoUrl": "https://cdn.example.com/logo.png"
},
"store": {
"enabled": true,
"customDomain": "apps.acme.com"
},
"configuration": {
"defaultStorageProvider": "507f1f77bcf86cd799439028",
"enforceSSO": true
}
},
"language": "en",
"verificationStatus": "verified",
"activityTrace": {
"lastLogin": {
"dashboard": "2024-01-01T00: 00:00Z",
"sdk": "2024-01-01T00: 00:00Z",
"store": "2024-01-01T00: 00:00Z"
},
"lastAction": {
"dashboard": "2024-01-01T00: 00:00Z",
"sdk": "2024-01-01T00: 00:00Z",
"store": "2024-01-01T00: 00:00Z"
}
},
"intercomUserHash": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"createdAt": "2025-06-15T10: 00:00Z",
"updatedAt": "2026-02-03T15: 30:00Z",
"supplantCapability": "none"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}